import {
  injectProviders,
  rpcProviderWarning,
  selectProviders
} from "./chunk-HKYVOI6E.js";

// src/hooks/common/selectAndInjectProviders.ts
var selectAndInjectProviders = ({
  envPrefix
}) => ({
  async afterValidate({ context }) {
    const { envVars, providerNames } = await selectProviders();
    context.set({ envVars, providerNames });
  },
  async beforeInstall({ context, targetPath }) {
    const { envVars, providerNames } = context.get();
    injectProviders({ envPrefix, envVars, providerNames, targetPath });
  },
  async afterSetup({ context }) {
    const { providerNames } = context.get();
    if (providerNames.length === 1 && providerNames[0] === "public") {
      rpcProviderWarning();
    }
  }
});

export {
  selectAndInjectProviders
};
